<?php
namespace Modules\Orders\Sabre\ServicesList;

use \App\Mvc\View\Utils\Types\ListingColumn;
use \App\Mvc\View\Utils\Types\ListingColumns;


class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{
	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_ListAbstract::list_getThDetails()
	 */
	protected function list_getThDetails()
	{
		return ListingColumns::create()
			->append(ListingColumn::create('docNumber'))
			->append(ListingColumn::create('serviceCode'))
			->append(ListingColumn::create('docDate')->setType('date'))
			->append(ListingColumn::create('passengerName'))
			->append(ListingColumn::create('prices')->setWidth(15))
			->append(ListingColumn::create('user'))
			->append(ListingColumn::create('addTime')->setType('datetime')->setWidth(10))
		->loadLabels($this->lang['index']['listingColumns'])
		->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());
	}
}
